# Contributing

Thanks much for contributing - To contribute to this project, please follow the recommendations and requirements below. This helps to address your contribution in a timely manner. Contributing is done through submitting pull requests.

# Issues, Requests & Ideas

Use GitHub [Issues](https://github.com/SalesforceCommerceCloud/sfcc-ci/issues) page to submit issues, enhancement requests and discuss ideas.

# Submitting a Pull Request

1. **Ensure the bug/feature was not already reported** by searching on GitHub under [Issues](https://github.com/SalesforceCommerceCloud/sfcc-ci/issues). If none exists, create a new issue so that other contributors can keep track of what you are trying to add/fix and offer suggestions (or let you know if there is already an effort in progress).
2. **Fork** this repo.
3. **Clone** the forked repo to your machine.
4. **Commit** changes to your *own branch*.
5. **Push** your work back up to your fork.
6. **Submit** a [Pull Request](https://github.com/SalesforceCommerceCloud/sfcc-ci/pulls) against the `master` branch and refer to the issue(s) you are fixing. Try not to pollute your pull request with unintended changes. Keep it simple and small.

**NOTE**: Make sure to [sync your fork](https://help.github.com/articles/syncing-a-fork/) before making a pull request.

# Contribution Checklist #

* Use clean, simple, well styled code.
* Use comments.
* Minimize number of dependencies.
* Make sure that your code builds, lints and passes the unit tests.
* Increase code coverage, not versa.
* To reduce merge conflicts, rebase your branch before submitting your pull request.
* Reference the issue number in the comments of your pull request.
* Monitor your pull requests. Please respond in a timely manner to any comments, questions for changes requested. Abandoned pull requests may be closed.

# Code of Conduct

Follow the [Salesforce Open Source Community Code of Conduct](CODE_OF_CONDUCT.md).

# License

By contributing code, you agree to license your contribution under the terms of the [BSD 3-Clause](LICENSE.txt).

# Contributor License Agreement (CLA) #

All external contributors must sign our Contributor License Agreement ([CLA](https://cla.salesforce.com/sign-cla)).